export class EdelValuegridComponent {
    constructor() {
        this.slim = false;
        this.extended = false;
        this.grid = false;
        this.inline = false;
    }
    render() {
        return h("slot", null);
    }
    hostData() {
        return {
            class: 'valuegrid'
        };
    }
    componentDidLoad() {
        this.shouldHaveClass('valuegrid--slim', this.slim);
        this.shouldHaveClass('valuegrid--extended', this.extended);
        this.shouldHaveClass('valuegrid--grid', this.grid);
        this.shouldHaveClass('valuegrid--inline', this.inline);
    }
    shouldHaveClass(theme, should) {
        if (should) {
            this.hostElement.classList.add(theme);
        }
        else {
            this.hostElement.classList.remove(theme);
        }
    }
    static get is() { return "edel-valuegrid"; }
    static get properties() { return {
        "extended": {
            "type": Boolean,
            "attr": "extended",
            "watchCallbacks": ["componentDidLoad"]
        },
        "grid": {
            "type": Boolean,
            "attr": "grid",
            "watchCallbacks": ["componentDidLoad"]
        },
        "hostElement": {
            "elementRef": true
        },
        "inline": {
            "type": Boolean,
            "attr": "inline",
            "watchCallbacks": ["componentDidLoad"]
        },
        "slim": {
            "type": Boolean,
            "attr": "slim",
            "watchCallbacks": ["componentDidLoad"]
        }
    }; }
}
